extends Node2D

class_name Piece

# Properties
var piece_position: Vector2
var is_white: bool

# Array for upgrades
var upgrades: Array = []


# initialization method
func _init(is_white_param: bool, piece_position_param: Vector2) -> void:
	self.is_white = is_white_param
	self.piece_position = piece_position_param 

# Method to get valid moves (to be overridden by subclasses)
func get_valid_moves(_board_state: Array, _pos: Vector2) -> Array[Vector2]:
	var moves = []
	return moves
