extends Node

var scene_manager: Node = null

var currency: int = 0
var enchantments: Array = []
var pieces: Array = []

func _ready() -> void:
	pass # Replace with function body.

func reset_run() -> void:
	currency = 0
	enchantments.clear()
	
	if pieces.is_empty():
		pieces = ['pawn', 'pawn']
	else:
		pieces += ['pawn', 'pawn']
	
	print("Run data reset")
	
func start_run():
	reset_run()
	print(pieces)
	scene_manager.change_scene("res://scenes/game.tscn")

func add_currency(piece: Node2D) -> void:
	
	print(piece.get_script())
	print("Total currency: ", currency)
	
func add_piece(piece: String) -> void:
	pieces.append(piece)
