extends Control
class_name TitleScreen

@onready var scene_manager: Node = $"../SceneManager"
@onready var play_button: TitleButton = $MenuContainers/PlayButton
@onready var rules_button: TitleButton = $MenuContainers/RulesButton
@onready var quit_button: TitleButton = $MenuContainers/QuitButton

func _ready() -> void:
	play_button.set_image("res://assets/ui/title_screen/play_button.png")
	rules_button.set_image("res://assets/ui/title_screen/rules_button.png")
	quit_button.set_image("res://assets/ui/title_screen/quit_button.png")

func _process(delta: float) -> void:
	pass
	
func _on_play_pressed() -> void:
	scene_manager.change_scene("res://scenes/screens/select_piece_screen.tscn")

func _on_quit_pressed() -> void:
	get_tree().quit()
